package document_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type DocumentUnbindRequest struct {
	// <ext>core:true;format:string</ext> 【电子签约文件id】电子签约文件id 【作用】 查询需解绑签署文档的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准
	ContractId *int64 `json:"contractId,omitempty"`
	// <ext>core:true</ext> 【第三方业务系统文件id】第三方业务系统文件id 【作用】 查询需解绑签署文档的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准
	BizId string `json:"bizId,omitempty"`
	// <ext>core:true;format:string</ext> 【签署文档id集合】签署文档id集合 【作用】 指定需从电子签约文件中解绑的签署文档集合 【特殊说明】 ”草稿“状态可解绑全部签署文档，其余状态下只有1份签署文档时不能解绑
	DocumentIds []int64 `json:"documentIds"`
}

func (obj DocumentUnbindRequest) GetUrl() string {
	return "/document/unbind"
}

func (obj DocumentUnbindRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
